:root {
  --vessel-color: black;
  --vessel-hover-color: white;
  --name-height: 0px;
  --info-window-height: 0;
  --calc-height: 0px;
}
#map {
  height: 100%;
}
/* 
* Optional: Makes the sample page fill the window. 
*/
html,
body {
  height: 100%;
  margin: 0;
  padding: 0;
  font-family: Open Sans, Helvetica Neue, Helvetica, Arial, sans-serif !important;
  font-size: 14px;
}
div {
  position: relative;
} 
#instance-logo {
  background-color: rgba(0, 0, 0, 0.6);
  position: absolute;
  top: 0;
  left: 0;
  padding: 20px;
  border-radius: 0 0 15px 0;
  max-width: 400px;
  @media screen and (max-width: 767px) {
    max-width: 150px;
  }
}
#instance-logo.bright {
  background-color: rgba(255, 255, 255, 0.6);
}
#instance-logo img {
    width: 100%;
}

.gm-style {
  font-family: Open Sans, Helvetica Neue, Helvetica, Arial, sans-serif !important;
}
.gm-style-iw-chr {
  display: none !important;
}

.gm-style-iw-d {
  overflow: auto !important;
  padding: 0;
}

.gm-style-iw-c, .gm-style-iw {
  background-color: transparent !important;
  padding: 0 !important;
}

.gm-style-iw-tc::after {
  background: rgba(0, 0, 0, 0) !important;
}
.gm-style .gm-style-iw-d::-webkit-scrollbar {
  width: 0 !important;
  height: 0 !important;
  -webkit-appearance: none;
}

.vessel-info {
  max-width: 250px;
  width: 100%;
  height: auto;
  max-height: 300px;
  padding: 0 !important;
  background-color: rgba(34, 34, 34, 0.85);
  color: white;
  border: 1px solid white;
  border-radius: 10px;
  overflow: auto;
}

.dotted-line {
  border-top: 3px dashed var(--vessel-color);
  height: 5px;
  width: 75%;
  position: absolute;
  left: 5px;
  top: 22px;
}

.svg-image {
  top: 23px;
  position: absolute;
  transform: translate(20px, -10px);
  fill: var(--vessel-color);
  filter: drop-shadow(0px 0px 8px rgb( 0 0 0 / 0.5));
}
.ship-icon {
  scale: 0.8;
}

a, a:focus {
  border: none !important;
  color: white !important;
  text-decoration: none !important;
}

a:focus {
  outline: none !important;
  outline-offset: none !important;
}

.ticket-shop {
  position: absolute;
  top: 0;
  right: 0;
  margin: 10px;
}

.no-bg {
  .ticket-shop-bg {
    filter: brightness(45%);
  }
}

.ticket-1, .ticket-2, .arrow-bg, #icon-pano-live, .card-bg, .ticket-shop-bg {
    fill: var(--vessel-color);
}

.ticket-1, .ticket-2, .arrow-bg, #icon-pano-live {
  filter: brightness(120%);
}

.card-bg, .ticket-shop-bg {
  filter: brightness(50%);
}

.live-image {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  right: 10px;
}

.card-stroke {
  stroke: var(--vessel-color);
  fill: transparent;
}

.arrow {
  stroke: var(--vessel-color);
  filter: brightness(50%);
}

.vessel-img {
  min-height: 85px !important;
  max-height: 250px;
  width: auto;
  max-width: 250px;
  height: auto;
  img {
    max-width: 100%;
    background-color: transparent;
  }
}

.vessel-img.no-bg {
  height: var( --info-window-height);
  width: 240px;
  overflow: hidden;
}
.vessel-img.no-bg.with-description {
  height: var( --info-window-height);
  width: 100%;
}

.vessel-img.no-bg:before {
  position: absolute;
  content: "";
  height: var( --calc-height);
  min-height: 45px;
  max-height: 45px;
  width: 100%;
  background: var(--vessel-color);
  filter: brightness(0.5);
  border-radius: 10px 10px 0 0;
  width: 250px;
}

.img-svg {
  position: relative;
  top: 10px;
  padding-left: 20px;
  fill: var(--vessel-color) !important;;
}
.img-svg:hover {
  #ship-icon  {
    fill: var(--vessel-color) !important;
  }
}

.stroke-color  {
  stroke-width: 1.5px;
  stroke: #FFF;
}

.vessel-name {
  position: absolute;
  height: auto;
  display: flex;
  align-items: center;
  background-color: rgba(34, 34, 34, 0.3);
  width: 100%;
  bottom: 0;
  min-height: 40px;
  padding: 5px 50px 5px 10px;
  font-size: 16px;
  font-weight: bold;
  font-stretch: normal;
  font-style: normal;
  line-height: normal;
  letter-spacing: normal;
  color: #FFF;
}

.vessel-description {
  padding: 5px 10px;
  width: 100%;
  font-size: 12px;
  font-weight: normal;
  font-stretch: normal;
  font-style: normal;
  line-height: 1.25;
  letter-spacing: normal;
  color: #bbb;
}

span {
  font-weight: bold;
}

.click-areal {
  position: absolute;
  display: flex;
  align-items: center;
  margin: 0;
  bottom: 0;
  width: 100%;
  left: 0;
  top: unset;
}
.svgImage {
  filter: drop-shadow(0px 0px 8px rgb( 0 0 0 / 0.5));
  #Path {
    stroke-width: 4px;
  }
  #Path1{
    fill: var(--vessel-color) !important;
  }
}

.svgImage:hover {
  cursor: pointer;
  #Path1 {
    opacity: 0.7;
  }
  #Path2 {
    stroke-width: 5px;
    stroke: white;
  }
  #Path3
   {
    stroke-width: 1.5px;
    stroke: #666666 !important;
  }
}